# TODO: apidocs (BR: pydoctor), tests (BR: twisted.trial >= 16.4.0, click >= 6.0)
#
# Conditional build:
%bcond_with	doc	# API documentation (pydoctor based)
%bcond_with	tests	# unit tests (require Twisted)

Summary:	Library that versions Python projects
Summary(pl.UTF-8):	Biblioteka wersjonująca projekty w Pythonie
Name:		python3-incremental
Version:	24.7.2
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/incremental/
Source0:	https://files.pythonhosted.org/packages/source/i/incremental/incremental-%{version}.tar.gz
# Source0-md5:	d946fb1a369c77693b4dab8ac9b13596
URL:		https://pypi.org/project/incremental/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools >= 1:61.0
%if %{_ver_lt %py3_ver 3.11}
BuildRequires:	python3-tomli
%endif
%if %{with tests}
BuildRequires:	python3-click >= 6.0
BuildRequires:	python3-twisted >= 16.4.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	pydoctor
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Incremental is a small library that versions your Python projects.

%description -l pl.UTF-8
Incremental to mała biblioteka do wersjonowania projektów w Pythonie.

%package apidocs
Summary:	API documentation for Python incremental module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona incremental
Group:		Documentation

%description apidocs
API documentation for Python incremental module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona incremental.

%prep
%setup -q -n incremental-%{version}

%build
%py3_build_pyproject

%if %{with tests}
trial-3 incremental
%endif

%if %{with doc}
pydoctor -q --project-name incremental src/incremental
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-incremental
%defattr(644,root,root,755)
%doc LICENSE NEWS.rst README.rst
%{py3_sitescriptdir}/incremental
%{py3_sitescriptdir}/incremental-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc # TODO
%endif
%changelog
* Thu Jun 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-incremental.git;a=log;h=master

* Tue Jun 17 2025 Jan Palus <atler@pld-linux.org> 679fc37
- up to 24.7.2

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 5366514
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> d71957c
- python 3.13 rebuild

* Sun Jan 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 2b2669a
- updated to 22.10.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 30573ed
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 1129abf
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f1bb2c9
- rebuild with python 3.10

* Mon Mar 14 2022 Jakub Bogusz <qboosh@pld-linux.org> bf22734
- updated to 21.3.0

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 9e7ac1d
- release 2 (by relup.sh)

* Sat Mar 21 2020 Jakub Bogusz <qboosh@pld-linux.org> 2fd0978
- new

